> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/communication/wisej.hybrid.devicesmsinfo.md).

# DeviceSmsInfo

Namespace: **Wisej.Hybrid**

Assembly: **Wisej.Hybrid** (3.5.0.0)

* [DeviceInfoBase](/hybrid/start/api/general/wisej.hybrid.core.deviceinfobase.md)
  * [DeviceSmsInfo](/hybrid/start/api/communication/wisej.hybrid.devicesmsinfo.md)

Represents information about the device's SMS (Short ReceivedMessage Service) capabilities. This class provides properties to check if specific SMS-related features are supported by the device.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DeviceSmsInfo : DeviceInfoBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DeviceSmsInfo
    Inherits DeviceInfoBase
```

{% endtab %}
{% endtabs %}

Access this class through the [Info](/hybrid/start/api/general/wisej.hybrid.device.md#info) singleton.

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)DeviceSmsInfo()

Initializes a new instance of the [DeviceSmsInfo](/hybrid/start/api/communication/wisej.hybrid.devicesmsinfo.md) class.

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)IsComposeSupported

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets a value indicating whether SMS composition is supported on the device.

## Methods

### ![](/files/CCV9PPenlC1YZvNh1I6R)OnWebUpdate(info)

Updates the SMS capability information.

| Parameter | Type                                                          | Description                                        |
| --------- | ------------------------------------------------------------- | -------------------------------------------------- |
| **info**  | [Object](https://docs.microsoft.com/dotnet/api/system.object) | Dynamic object containing SMS support information. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/communication/wisej.hybrid.devicesmsinfo.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
